Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::MSXML_DOMAttributes Class Reference

XML attribute as represented by msxml. More...

`#include <MSXML_DOMDocument.h>`

Inheritance diagram for FIX::MSXML_DOMAttributes:
[legend]
Collaboration diagram for FIX::MSXML_DOMAttributes:
[legend]

List of all members.

## Public Member Functions

| MSXML_DOMAttributes (MSXML2::IXMLDOMNode *pNode)
| ~MSXML_DOMAttributes ()
bool | get (const std::string &, std::string &)
DOMAttributes::map | toMap ()

## Private Attributes

MSXML2::IXMLDOMNamedNodeMap * | m_pNodeMap

## Detailed Description

XML attribute as represented by msxml.

Definition at line 35 of file MSXML_DOMDocument.h.

## Constructor & Destructor Documentation

FIX::MSXML_DOMAttributes::MSXML_DOMAttributes | ( | MSXML2::IXMLDOMNode * | pNode | ) | `[inline]`

Definition at line 38 of file MSXML_DOMDocument.h.

References m_pNodeMap.

    00039     {
    00040       pNode->get_attributes(&m_pNodeMap);
    00041     }

FIX::MSXML_DOMAttributes::~MSXML_DOMAttributes | ( |  | ) |

## Member Function Documentation

bool FIX::MSXML_DOMAttributes::get | ( | const std::string & | ,
|  | std::string & |  |
| ) |  |  | `[virtual]`

Implements FIX::DOMAttributes.

DOMAttributes::map FIX::MSXML_DOMAttributes::toMap | ( |  | ) | `[virtual]`

Implements FIX::DOMAttributes.

## Member Data Documentation

MSXML2::IXMLDOMNamedNodeMap* FIX::MSXML_DOMAttributes::m_pNodeMap`[private]`

Definition at line 49 of file MSXML_DOMDocument.h.

Referenced by MSXML_DOMAttributes().

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/MSXML_DOMDocument.h